Name:          libsolv
Version:       0.6.34
Release:       2mamba
Summary:       Library for solving packages and reading repositories
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://en.opensuse.org/openSUSE:Libzypp_satsolver
Source:        https://github.com/openSUSE/libsolv.git/%{version}/libsolv-%{version}.tar.bz2
Patch0:        libsolv-0.6.34-rpm-5.patch
Patch1:        libsolv-0.6.34-rpm-5.2.patch
Patch2:        libsolv-0.6.34-python.patch
Patch3:        libsolv-0.6.34-swig-4.0.0.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbzip2-devel
BuildRequires: libexpat-devel
BuildRequires: liblzma-devel
BuildRequires: libperl
BuildRequires: libpython-devel
BuildRequires: libtcl-devel
BuildRequires: libz-devel
BuildRequires: perl-devel
BuildRequires: rpm-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Library for solving packages and reading repositories.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Development
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%cmake -d build \
	-DENABLE_APPDATA=ON \
	-DENABLE_BZIP2_COMPRESSION=ON \
	-DENABLE_COMPLEX_DEPS=ON \
	-DENABLE_HELIXREPO=ON \
	-DENABLE_LZMA_COMPRESSION=ON \
	-DENABLE_PUBKEY=ON \
	-DENABLE_RPMDB=ON \
	-DENABLE_RPMDB_BYRPMHEADER=ON \
	-DENABLE_RPMMD=ON \
	-DRPM5=ON \
	-DENABLE_PERL=ON \
	-DENABLE_PYTHON=ON \
	-DENABLE_RUBY=ON \
	-DENABLE_TCL=ON \
	-DPythonLibs_FIND_VERSION=2 \
	-DPythonLibs_FIND_VERSION_MAJOR=2 \
	-DUSE_VENDORDIRS=ON \
	-DCMAKE_C_FLAGS="%{optflags} -Doff64_t=__off64_t"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

cp ext/*.h %{buildroot}%{_includedir}/solv/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libsolv.so.*
%{_libdir}/libsolvext.so.*
%{perl_vendorarch}/solv.*
%{_libdir}/ruby/vendor_ruby/*/*-linux-gnu*/solv.so
%{_prefix}/lib/tcl8/*/solv-%{version}.*
%{python27_sitearch}/_solv.so
%{python27_sitearch}/solv.py
%doc CREDITS

%files devel
%defattr(-,root,root)
%dir %{_includedir}/solv
%{_includedir}/solv/*
%{_libdir}/libsolv.so
%{_libdir}/libsolvext.so
%{_libdir}/pkgconfig/libsolv.pc
%{_libdir}/pkgconfig/libsolvext.pc
%{_datadir}/cmake/Modules/FindLibSolv.cmake
%{_mandir}/man3/libsolv-bindings.3*
%{_mandir}/man3/libsolv-constantids.3*
%{_mandir}/man3/libsolv-history.3*
%{_mandir}/man3/libsolv-pool.3*
%{_mandir}/man3/libsolv.3*
%doc BUGS NEWS README

%files tools
%defattr(-,root,root)
%{_bindir}/appdata2solv
%{_bindir}/deltainfoxml2solv
%{_bindir}/dumpsolv
%{_bindir}/helix2solv
%{_bindir}/installcheck
%{_bindir}/mergesolv
%{_bindir}/repo2solv.sh
%{_bindir}/testsolv
%{_bindir}/repomdxml2solv
%{_bindir}/rpmdb2solv
%{_bindir}/rpmmd2solv
%{_bindir}/rpms2solv
%{_bindir}/updateinfoxml2solv
%{_mandir}/man1/appdata2solv.1*
%{_mandir}/man1/deltainfoxml2solv.1*
%{_mandir}/man1/dumpsolv.1*
%{_mandir}/man1/helix2solv.1*
%{_mandir}/man1/installcheck.1*
%{_mandir}/man1/mergesolv.1*
%{_mandir}/man1/testsolv.1*
%{_mandir}/man1/repomdxml2solv.1*
%{_mandir}/man1/rpmdb2solv.1*
%{_mandir}/man1/rpmmd2solv.1*
%{_mandir}/man1/rpms2solv.1*
%{_mandir}/man1/updateinfoxml2solv.1*

%changelog
* Sat Jun 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.34-2mamba
- rebuilt with rpm5 patch and build options from pld

* Thu May 17 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.34-1mamba
- package created using the webbuild interface
